Bug 1372066 - RHEL 7.3 beta: screen package not installed during provisioning
Summary: RHEL 7.3 beta: screen package not installed during provisioning
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Martin Preisler
QA Contact: Marek Haicman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-31 20:04 UTC by Shawn Wells
Modified: 2017-08-01 12:23 UTC (History)
4 users (show)

Fixed In Version: scap-security-guide-0.1.32-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 12:23:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github https://github.com/OpenSCAP scap-security-guide issues 1549 None None None 2016-11-08 03:48:50 UTC
Red Hat Product Errata RHBA-2017:2064 normal SHIPPED_LIVE scap-security-guide bug fix and enhancement update 2017-08-01 16:05:50 UTC

Description Shawn Wells 2016-08-31 20:04:29 UTC
When selecting the DOD STIG UPSTREAM profile in RHEL 7.3 beta, the following rule remains non-compliant:

- CCE-27351-6: xccdf_org.ssgproject.content_rule_package_screen_installed

This is likely as the remediation has "yum install screen" and the installer does not access a yum repo to add packages.

Comment 2 Shawn Wells 2016-11-08 03:48:51 UTC
upstream BZ https://github.com/OpenSCAP/scap-security-guide/issues/1549

Comment 3 Martin Preisler 2017-03-03 20:22:51 UTC
Almost exactly the same situation as https://bugzilla.redhat.com/show_bug.cgi?id=1372058

SSG 0.1.30 only had the bash remediation for the "screen installed" rule. Since it was missing the Anaconda remediation it was not able to remediate this rule when provisioning using kickstart.

There has been a lot of refactoring in this part of SSG so it is fairly hard to pinpoint exactly when this was fixed. All of these 3 commits are required for this to work:
- https://github.com/OpenSCAP/scap-security-guide/commit/6d09d9903b903f77d4e88a763d88803f59e1855c
- https://github.com/OpenSCAP/scap-security-guide/commit/665e1f15e042dd928935ae9b8541f81dfa146d4c
- https://github.com/OpenSCAP/scap-security-guide/commit/928ef634c31e7c17bd4e845e96a49ef42b5ce6f5

Lastest SSG built from git master has all 4 remediations for the package_screen_installed XCCDF rule.

Comment 6 Marek Haicman 2017-06-14 08:13:17 UTC
Verified manually on version scap-security-guide-0.1.33-4.el7, that anaconda kickstart is successfully updated to contain aide package

Original kickstart:
# Packages selection (%packages section is required)
%packages

# Require @Base
@Base

pam_pkcs11
esc

%end

Anaconda kickstart:
%packages
@Base
aide
chrony
dracut-fips
esc
kexec-tools
openscap
openscap-scanner
pam_pkcs11
scap-security-guide
screen
-rsh
-rsh-server
-talk
-talk-server
-telnet
-telnet-server
-xinetd
-ypbind
-ypserv

%end


Note: This test was performed on OSPP profile, but the relevant rule (screen) is the same.

Comment 7 errata-xmlrpc 2017-08-01 12:23:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2064


Note You need to log in before you can comment on or make changes to this bug.